/**
 * @file libpackman/packman.h Base include file
 * 
 * $Id: packman.h,v 1.20 2002/04/25 03:34:13 chipx86 Exp $
 *
 * @Copyright (C) 1999-2002 The GNUpdate Project.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _LIBPACKMAN_H_
#define _LIBPACKMAN_H_

#include <libpackman/types.h>
#include <libpackman/listeners.h>
#include <libpackman/script.h>
#include <libpackman/package.h>
#include <libpackman/batch.h>
#include <libpackman/depcheck.h>
#include <libpackman/dependency.h>
#include <libpackman/downloadurl.h>
#include <libpackman/file.h>
#include <libpackman/graph.h>
#include <libpackman/hashtable.h>
#include <libpackman/module.h>
#include <libpackman/package_api.h>
#include <libpackman/transerror.h>
#include <libpackman/transaction.h>
#include <libpackman/db.h>
#include <libpackman/db_api.h>

#endif /* _LIBPACKMAN_H_ */
